- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Execution_Manager::DAM_Map Class Reference

Map of DomainApplicationManager to ACE_CStrings. More...

`#include <DAM_Map.h>`

Collaboration diagram for CIAO::Execution_Manager::DAM_Map:

[legend]
List of all members.

## Public Member Functions
| DAM_Map (void)
bool | is_plan_available (const ACE_CString &str)
::Deployment::DomainApplicationManager_ptr | fetch_dam_reference (const ACE_CString &str)
bool | bind_dam_reference (const ACE_CString &str,::Deployment::DomainApplicationManager_ptr tmp)
Deployment::DomainApplicationManagers * | get_dams (ACE_ENV_SINGLE_ARG_DECL)
bool | unbind_dam (const ACE_CString &str)
size_t | size (void)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString,::Deployment::DomainApplicationManager_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | MAP
typedef MAP::iterator | Iterator
## Private Attributes
MAP | map_

## Detailed Description

Map of DomainApplicationManager to ACE_CStrings.

## Member Typedef Documentation

typedef MAP::iterator CIAO::Execution_Manager::DAM_Map::Iterator`[private]`

typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ::Deployment::DomainApplicationManager_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::Execution_Manager::DAM_Map::MAP`[private]`

## Constructor & Destructor Documentation

CIAO::Execution_Manager::DAM_Map::DAM_Map | ( | void |  | ) |

## Member Function Documentation

bool CIAO::Execution_Manager::DAM_Map::bind_dam_reference | ( | const ACE_CString & | str,
|  | ::Deployment::DomainApplicationManager_ptr | tmp |
| ) |  |  |

Deployment::DomainApplicationManager_ptr CIAO::Execution_Manager::DAM_Map::fetch_dam_reference | ( | const ACE_CString & | str | ) |

There should be duplicate when assigning a _var to an _var.

Deployment::DomainApplicationManagers * CIAO::Execution_Manager::DAM_Map::get_dams | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

bool CIAO::Execution_Manager::DAM_Map::is_plan_available | ( | const ACE_CString & | str | ) |

size_t CIAO::Execution_Manager::DAM_Map::size | ( | void |  | ) |

bool CIAO::Execution_Manager::DAM_Map::unbind_dam | ( | const ACE_CString & | str | ) |

## Member Data Documentation

MAP CIAO::Execution_Manager::DAM_Map::map_`[private]`

The documentation for this class was generated from the following files:

- DAM_Map.h
- DAM_Map.cpp